import Layout from '@/components/layout'
import page401 from '@/views/error/401'
import page403 from '@/views/error/403'
import page404 from '@/views/error/404'
import page500 from '@/views/error/500'
//积分商城
import mall from './mall'


export default [
  {
    path: '/',
    name: 'layout',
    component: Layout,
    redirect: '/coupon',
    children: [
      mall
    ]
  },
  {
    path: '/401',
    name: '未授权',
    component: page401
  },
  {
    path: '/403',
    name: '禁止访问',
    component: page403
  },
  {
    path: '/500',
    name: '系统错误',
    component: page500
  },
  {
    path: '*',
    name: '未知领域',
    component: page404
  },
]
